package com.uas.platform.b2b.support;

import java.io.IOException;
import java.io.PrintWriter;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.security.access.AccessDeniedException;
import org.springframework.security.web.access.AccessDeniedHandler;

/**
 * 权限验证未通过，禁止访问时的处理
 * 
 * @author yingp
 *
 */
public class CustomAccessDeniedHandler implements AccessDeniedHandler {

	@Override
	public void handle(HttpServletRequest request, HttpServletResponse response, AccessDeniedException exception) throws IOException,
			ServletException {
		response.setHeader("Content-Type", "application/text;charset=UTF-8");
		response.setStatus(HttpServletResponse.SC_FORBIDDEN);
		PrintWriter printWriter = response.getWriter();
		printWriter.append(exception.getMessage());
		printWriter.flush();
		printWriter.close();
	}

}
